diff --git a/frontend/src/pages/Register.spec.js b/frontend/src/pages/Register.spec.js
index a9415de87..91e945c6a 100644
--- a/frontend/src/pages/Register.spec.js
+++ b/frontend/src/pages/Register.spec.js
@@ -139,24 +139,6 @@ describe('Register', () => {
           await flushPromises()
         }
 
-        describe('server sends back error "User already exists."', () => {
-          beforeEach(async () => {
-            await createError('GraphQL error: User already exists.')
-          })
-
-          it('shows no error message on the page', () => {
-            // don't show any error on the page! against boots
-            expect(wrapper.vm.showPageMessage).toBe(false)
-            expect(wrapper.find('.test-message-headline').exists()).toBe(false)
-            expect(wrapper.find('.test-message-subtitle').exists()).toBe(false)
-            expect(wrapper.find('.test-message-button').exists()).toBe(false)
-          })
-
-          it('toasts the error message', () => {
-            expect(toastErrorSpy).toBeCalledWith('error.user-already-exists')
-          })
-        })
-
         describe('server sends back error "Unknown error"', () => {
           beforeEach(async () => {
             await createError(' – Unknown error.')
diff --git a/frontend/src/pages/Register.vue b/frontend/src/pages/Register.vue
index f1bfad6d9..0ae316ae9 100755
--- a/frontend/src/pages/Register.vue
+++ b/frontend/src/pages/Register.vue
@@ -122,9 +122,6 @@ export default {
     getValidationState({ dirty, validated, valid = null }) {
       return dirty || validated ? valid : null
     },
-    commitStorePublisherId(val) {
-      this.$store.commit('publisherId', val)
-    },
     async onSubmit() {
       this.$apollo
         .mutate({
@@ -142,16 +139,7 @@ export default {
           this.showPageMessage = true
         })
         .catch((error) => {
-          let errorMessage
-          switch (error.message) {
-            case 'GraphQL error: User already exists.':
-              errorMessage = this.$t('error.user-already-exists')
-              break
-            default:
-              errorMessage = this.$t('error.unknown-error') + error.message
-              break
-          }
-          this.toastError(errorMessage)
+          this.toastError(this.$t('error.unknown-error') + error.message)
         })
     },
   },
